Class | RSS::Maker::ItemsBase::ItemBase
In: | rss/maker/trackback.rb rss/maker/image.rb rss/maker/dublincore.rb rss/maker/content.rb rss/maker/base.rb
Parent: | Object

### Methods

<=> current_element

### Included Modules

TrackBackModel Maker::ImageItemModel DublinCoreModel ContentModel Base

### Classes and Modules

Class RSS::Maker::ItemsBase::ItemBase::EnclosureBase
Class RSS::Maker::ItemsBase::ItemBase::GuidBase
Class RSS::Maker::ItemsBase::ItemBase::SourceBase

### Constants

CategoriesBase | = | ChannelBase::CategoriesBase

### External Aliases

dc_date | -> | date
dc_date= | -> | date=
date | -> | pubDate
date= | -> | pubDate=

### Public Instance methods

<=>(other)

[Source]

    # File rss/maker/base.rb, line 467
            def <=>(other)
              if date and other.date
                date <=> other.date
              elsif date
                1
              elsif other.date
                -1
              else
                0
              end
            end

current_element(rss)

[Source]

    # File rss/maker/base.rb, line 479
            def current_element(rss)
              rss.items.last
            end

[Validate]